-------------------------------------------------------------------------------------------------------------------
-- Define gears for this job.  Generally the file may be modified caused by bugfix.
-------------------------------------------------------------------------------------------------------------------
-- Define sets and vars used by this job file.
function init_gear_sets()
    ---------------------------------------------------------------------------------------------------------------------------
	-- Precast Sets
	---------------------------------------------------------------------------------------------------------------------------
    -- Precast sets to enhance JAs
    sets.precast.JA['K.インスティンクト'] = {}
    sets.precast.JA['フェラルハウル'] = {}
    sets.precast.JA['よびだす'] = {}
    sets.precast.JA['使い魔'] = {}
    sets.precast.JA['なだめる'] = {}
    sets.precast.JA['きばれ'] = {}
    sets.precast.JA['いたわる'] = {}
    sets.precast.JA['あやつる'] = {}
	
	sets.precast.Ready = {}

    -- Fast cast sets for spells
    sets.precast.FC = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }

    -- Weaponskill sets
    sets.precast.WS = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    sets.precast.WS['クラウドスプリッタ'] = set_combine(sets.precast.WS,{})
	
	---------------------------------------------------------------------------------------------------------------------------
	-- Midcast Sets
	---------------------------------------------------------------------------------------------------------------------------
    -- PET SIC & READY MOVES
    sets.midcast.Pet.WS = {}
    sets.midcast.Pet.WS.Unleash = set_combine(sets.midcast.Pet.WS,{})

    sets.midcast.Pet.Neutral = {}
    sets.midcast.Pet.Favorable = {}
	---------------------------------------------------------------------------------------------------------------------------
	-- Idle Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.idle = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }

    sets.idle.Town = set_combine(sets.idle,{})

    sets.idle.Pet = sets.idle
    sets.idle.Pet.Engaged = {}

    sets.resting = {}

	---------------------------------------------------------------------------------------------------------------------------
    -- Engaged Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.engaged = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
    
    -- DEFENSE SETS
    sets.defense.PDT = {}
    sets.defense.MDT = {}
    sets.Kiting = {}
	
    -- Custom buff sets
    sets.buff['K.インスティンクト'] = {}
end

