-------------------------------------------------------------------------------------------------------------------
-- Define gears for this job.  Generally the file may be modified caused by bugfix.
-------------------------------------------------------------------------------------------------------------------
-- Define sets and vars used by this job file.
function init_gear_sets()
    ---------------------------------------------------------------------------------------------------------------------------
	-- Precast Sets
	---------------------------------------------------------------------------------------------------------------------------
    -- Precast sets to enhance JAs
    sets.precast.JA['ランダムディール'] = {}
    sets.precast.JA['トリプルショット'] = {}
    sets.precast.JA['ワイルドカード'] = {}
    sets.precast.FoldDoubleBust = {}
	
    sets.precast.CorsairRoll = {}
    sets.precast.JA['ダブルアップ'] = sets.precast.CorsairRoll
	
    sets.precast.CorsairRoll['キャスターズロール'] = set_combine(sets.precast.CorsairRoll,{})
    sets.precast.CorsairRoll['コアサーズロール'] = set_combine(sets.precast.CorsairRoll,{})
    sets.precast.CorsairRoll['ブリッツァロール'] = set_combine(sets.precast.CorsairRoll,{})
    sets.precast.CorsairRoll['タクティックロール'] = set_combine(sets.precast.CorsairRoll,{})
    sets.precast.CorsairRoll['アライズロール'] = set_combine(sets.precast.CorsairRoll,{})

    -- Fast cast sets for spells
    sets.precast.FC = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
    
 	-- Ranged sets
	sets.precast.RA = {}
	sets.midcast.RA = {}
	
    -- Weaponskill sets
    sets.precast.WS = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
	sets.precast.WS['ワイルドファイア'] = set_combine(sets.precast.WS,{})
	
	---------------------------------------------------------------------------------------------------------------------------
	-- Midcast Sets
	---------------------------------------------------------------------------------------------------------------------------
	sets.midcast.CorsairShot = {}
	sets.midcast.CorsairShot['ライトショット'] = {}
	sets.midcast.CorsairShot['ダークショット'] = {}	

	---------------------------------------------------------------------------------------------------------------------------
	-- Idle Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.idle = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    sets.idle.Town = set_combine(sets.idle,{})
    
	-- Resting sets
    sets.resting = {}
	---------------------------------------------------------------------------------------------------------------------------
    -- Engaged Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.engaged = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }

    -- Defense sets
    sets.defense.PDT = {}
    sets.defense.MDT = {}
    sets.Kiting = {}
    -- Custom buff sets
	sets.buff['トリプルショット'] = {}
end