-------------------------------------------------------------------------------------------------------------------
-- Define gears for this job.  Generally the file may be modified caused by bugfix.
-------------------------------------------------------------------------------------------------------------------
-- Define sets and vars used by this job file.
function init_gear_sets()
    ---------------------------------------------------------------------------------------------------------------------------
	-- Precast Sets
	---------------------------------------------------------------------------------------------------------------------------
    -- Precast sets to enhance JAs
    sets.precast.JA['ノーフットライズ'] = {}
    sets.precast.JA['トランス'] = {}
	
	-- Waltz set (chr and vit)
    sets.precast.Waltz = {}
    -- Don't need any special gear for Healing Waltz.
    sets.precast.Waltz['ケアルワルツ'] = {}
    sets.precast.Samba = {}
    sets.precast.Jig = {}
    sets.precast.Step = {}
    sets.precast.Step['フェザーステップ'] = {}
    sets.precast.Flourish1 = {}
    sets.precast.Flourish1['V.フラリッシュ'] = {} -- magic accuracy
    sets.precast.Flourish1['D.フラリッシュ'] = {} -- acc gear
    sets.precast.Flourish2 = {}
    sets.precast.Flourish2['R.フラリッシュ'] = {}
    sets.precast.Flourish3 = {}
    sets.precast.Flourish3['S.フラリッシュ'] = {}
    sets.precast.Flourish3['C.フラリッシュ'] = {}

    -- Fast cast sets for spells
    sets.precast.FC = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
     
    -- Weaponskill sets
    sets.precast.WS = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    sets.precast.WS['エヴィサレーション'] = set_combine(sets.precast.WS,{})
    sets.precast.WS['イオリアンエッジ'] = set_combine(sets.precast.WS,{})
    
    sets.precast.Skillchain = {}
    
	---------------------------------------------------------------------------------------------------------------------------
	-- Midcast Sets
	---------------------------------------------------------------------------------------------------------------------------
	
	---------------------------------------------------------------------------------------------------------------------------
	-- Idle Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.idle = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    sets.idle.Town = set_combine(sets.idle,{})
	
	-- Resting sets
    sets.resting = {}
	---------------------------------------------------------------------------------------------------------------------------
    -- Engaged Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.engaged = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    -- Defense sets
    sets.defense.PDT = {}
    sets.defense.MDT = {}
    sets.Kiting = {}
    -- Custom buff sets
	sets.buff['剣の舞'] = {}
    sets.buff['C.フラリッシュ'] = {}   
end

