-------------------------------------------------------------------------------------------------------------------
-- Define gears for this job.  Generally the file may be modified caused by bugfix.
-------------------------------------------------------------------------------------------------------------------
-- Define sets and vars used by this job file.
function init_gear_sets()
    ---------------------------------------------------------------------------------------------------------------------------
	-- Precast Sets
	---------------------------------------------------------------------------------------------------------------------------
    -- Precast sets to enhance JAs
	sets.precast.JA['アルケインサークル'] = {}
	sets.precast.JA['ラストリゾート'] = {}
	sets.precast.JA['暗黒'] = {}
	sets.precast.JA['ウェポンバッシュ'] = {}
	sets.precast.JA['ネザーヴォイド'] = {}
	sets.precast.JA['レッドデリリアム'] = {}
	
    -- Fast cast sets for spells
    sets.precast.FC = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
		
    -- Weaponskill sets
    sets.precast.WS = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }

	sets.precast.WS['インファナルサイズ'] = set_combine(sets.precast.WS,{})	
	sets.precast.WS['エントロピー'] = set_combine(sets.precast.WS,{})

	---------------------------------------------------------------------------------------------------------------------------
	-- Midcast Sets
    ---------------------------------------------------------------------------------------------------------------------------
	sets.midcast['弱体魔法'] = {}
	sets.midcast['精霊魔法'] = {}
	sets.midcast['暗黒魔法'] = {}
	sets.midcast.Absorb = set_combine(sets.midcast['暗黒魔法'],{})
	sets.midcast.Drain = set_combine(sets.midcast['暗黒魔法'],{})
	
	---------------------------------------------------------------------------------------------------------------------------
	-- Idle Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.idle = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    sets.idle.Town = set_combine(sets.idle,{})

	-- Resting sets
    sets.resting = {}
	---------------------------------------------------------------------------------------------------------------------------
    -- Engaged Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.engaged = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    -- Defense sets
    sets.defense.PDT = {}
    sets.defense.MDT = {}
    sets.Kiting = {}
	
    -- Custom buff sets
    sets.buff['ラストリゾート'] = {}
	sets.buff['暗黒'] = {}
end