-------------------------------------------------------------------------------------------------------------------
-- Define gears for this job.  Generally the file may be modified caused by bugfix.
-------------------------------------------------------------------------------------------------------------------
-- Define sets and vars used by this job file.
function init_gear_sets()
    ---------------------------------------------------------------------------------------------------------------------------
	-- Precast Sets
	---------------------------------------------------------------------------------------------------------------------------
	-- Precast sets to enhance JAs
	sets.precast.JA['微塵がくれ'] = {}
	sets.precast.JA['二重'] = {}
	sets.precast.JA['散華'] = {}
	
	-- Fast cast sets for spells
    sets.precast.FC = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
 
    -- Weaponskill sets
    sets.precast.WS = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    sets.precast.WS['秘'] = set_combine(sets.precast.WS,{})

	---------------------------------------------------------------------------------------------------------------------------
	-- Midcast Sets
    ---------------------------------------------------------------------------------------------------------------------------
	sets.midcast.Utsusemi = {}
    sets.midcast.ElementalNinjutsu = {}
    sets.midcast.NinjutsuDebuff = {}
    sets.midcast.NinjutsuBuff = {}

	---------------------------------------------------------------------------------------------------------------------------
	-- Idle Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.idle = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    sets.idle.Town = set_combine(sets.idle,{})
    
	-- Resting sets
    sets.resting = {}
	---------------------------------------------------------------------------------------------------------------------------
    -- Engaged Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.engaged = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }

    -- Defense sets
    sets.defense.PDT = {}
    sets.defense.MDT = {}
    sets.Kiting = {}
	
    -- Custom buff sets
    sets.buff['身替'] = {}
    sets.buff['隠忍'] = {}
    sets.buff['陽忍'] = {}
end

