-------------------------------------------------------------------------------------------------------------------
-- Define gears for this job.  Generally the file may be modified caused by bugfix.
-------------------------------------------------------------------------------------------------------------------
-- Define sets and vars used by this job file.
function init_gear_sets()
    ---------------------------------------------------------------------------------------------------------------------------
	-- Precast Sets
	---------------------------------------------------------------------------------------------------------------------------
	-- Precast sets to enhance JAs
	sets.precast.JA['バウンティショット'] = {}
	sets.precast.JA['カモフラージュ'] = {}
	sets.precast.JA['スカベンジ'] = {}
	sets.precast.JA['影縫い'] = {}
	sets.precast.JA['狙い撃ち'] = {}

	-- Fast cast sets for spells
    sets.precast.FC = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
	-- Ranged sets
	sets.precast.RA = {}
	sets.midcast.RA = {}
	sets.midcast.RA['ガーンデーヴァ'] = set_combine(sets.midcast.RA,{})
	sets.midcast.RA['ガストラフェテス'] = set_combine(sets.midcast.RA,{})
	sets.midcast.RA['アルマゲドン'] = set_combine(sets.midcast.RA,{})
	
    -- Weaponskill sets
    sets.precast.WS = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
	sets.precast.WS['トゥルーフライト'] = set_combine(sets.precast.WS,{})

	---------------------------------------------------------------------------------------------------------------------------
	-- Midcast Sets
    ---------------------------------------------------------------------------------------------------------------------------

	---------------------------------------------------------------------------------------------------------------------------
	-- Idle Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.idle = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    sets.idle.Town = set_combine(sets.idle,{})
	
	-- Resting sets
    sets.resting = {}
	---------------------------------------------------------------------------------------------------------------------------
    -- Engaged Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.engaged = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    -- Defense sets
    sets.defense.PDT = {}
    sets.defense.MDT = {}
    sets.Kiting = {}
	
    -- Custom buff sets
	sets.buff['乱れ撃ち'] = set_combine(sets.midcast.RA,{})
	sets.buff['カモフラージュ'] = {}
end