-------------------------------------------------------------------------------------------------------------------
-- Define gears for this job.  Generally the file may be modified caused by bugfix.
-------------------------------------------------------------------------------------------------------------------
-- Define sets and vars used by this job file.
function init_gear_sets()
    ---------------------------------------------------------------------------------------------------------------------------
	-- Precast Sets
	---------------------------------------------------------------------------------------------------------------------------
    -- Precast sets to enhance JAs
    sets.precast.JA['八双'] = {}
	sets.precast.JA['黙想'] = {}
	sets.precast.JA['護摩の守護円'] = {}
 	sets.precast.JA['峰打ち'] = {}
 	sets.precast.JA['先義後利'] = {}
    
    -- Fast cast sets for spells
    sets.precast.FC = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    -- Weaponskill sets
    sets.precast.WS = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    sets.precast.WS['南無八幡'] = set_combine(sets.precast.WS,{})

	---------------------------------------------------------------------------------------------------------------------------
	-- Midcast Sets
	---------------------------------------------------------------------------------------------------------------------------
	
	---------------------------------------------------------------------------------------------------------------------------
	-- Idle Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.idle = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    sets.idle.Town = set_combine(sets.idle,{})
	
	-- Resting sets
    sets.resting = {}
	---------------------------------------------------------------------------------------------------------------------------
    -- Engaged Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.engaged = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    -- Defense sets
    sets.defense.PDT = {}
    sets.defense.MDT = {}
    sets.Kiting = {}
	
    -- Custom buff sets
	sets.buff['石火之機'] = {}
	sets.buff['先義後利'] = {}
	sets.buff['明鏡止水'] = {}
end
