-------------------------------------------------------------------------------------------------------------------
-- Define gears for this job.  Generally the file may be modified caused by bugfix.
-------------------------------------------------------------------------------------------------------------------
-- Define sets and vars used by this job file.
function init_gear_sets()
    ---------------------------------------------------------------------------------------------------------------------------
	-- Precast Sets
	---------------------------------------------------------------------------------------------------------------------------
	-- Precast sets to enhance JAs
	sets.precast.JA['インビンシブル'] = {}
	sets.precast.JA['ホーリーサークル'] = {}
	sets.precast.JA['シールドバッシュ'] = {}
	sets.precast.JA['センチネル'] = {}
	sets.precast.JA['ランパート'] = {}
	sets.precast.JA['フィールティ'] = {}
	sets.precast.JA['神聖の印'] = {}
	sets.precast.JA['かばう'] = {}
	sets.precast.JA['挑発'] = {}

	-- Fast cast sets for spells
    sets.precast.FC = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    -- Weaponskill sets
    sets.precast.WS = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
	sets.precast.WS['ウリエルブレード'] = set_combine(sets.precast.WS,{})

	---------------------------------------------------------------------------------------------------------------------------
	-- Midcast Sets
    ---------------------------------------------------------------------------------------------------------------------------
	sets.midcast.Enmity = sets.precast.JA['挑発']
	sets.midcast.Flash = set_combine(sets.midcast.Enmity, {})

	sets.midcast.Cure = {}
	sets.midcast['強化魔法'] = {}
	sets.midcast.Stoneskin = set_combine(sets.midcast['強化魔法'],{})
	sets.midcast.Phalanx = set_combine(sets.midcast['強化魔法'],{})
	sets.midcast.Protect = set_combine(sets.midcast['強化魔法'],{})
	sets.midcast.Enlight = {}

	---------------------------------------------------------------------------------------------------------------------------
	-- Idle Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.idle = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    sets.idle.Town = set_combine(sets.idle,{})

	-- Resting sets
    sets.resting = {}
	---------------------------------------------------------------------------------------------------------------------------
    -- Engaged Sets
	---------------------------------------------------------------------------------------------------------------------------
    sets.engaged = {
		ammo="",
		head="",
		body="",
		hands="",
		legs="",
		feet="",
		neck="",
		waist="",
		left_ear="",
		right_ear="",
		left_ring="",
		right_ring="",
		back="",
    }
	
    -- Defense sets
    sets.defense.PDT = {}
    sets.defense.MDT = {}
    sets.Kiting = {}
	
    -- Custom buff sets
	sets.buff['かばう'] = {}
end

